Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain
Interface InternalURI

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, java.io.Serializable

All Known Subinterfaces:
  BeanReportDataSource, ContentResource, CustomReportDataSource, DataSource, DataType, FileResource, Folder, InputControl, JdbcOlapDataSource, JdbcReportDataSource, JndiJdbcOlapDataSource, JndiJdbcReportDataSource, ListOfValues, MondrianConnection, MondrianXMLADefinition, OlapClientConnection, OlapDataSource, OlapUnit, Query, ReportDataSource, ReportUnit, Resource, ResourceLookup, XMLAConnection

All Known Implementing Classes:
  BeanReportDataSourceImpl, ContentResourceImpl, CustomReportDataSourceImpl, DataSourceImpl, DataTypeImpl, FileResourceImpl, FolderImpl, InputControlImpl, InternalURIDefinition, JdbcReportDataSourceImpl, JndiJdbcReportDataSourceImpl, ListOfValuesImpl, MondrianConnectionImpl, MondrianXMLADefinitionImpl, OlapClientConnectionImpl, OlapDataSourceImpl, OlapUnitImpl, QueryImpl, ReportDataSourceImpl, ReportUnitImpl, ResourceImpl, ResourceLookupImpl, XMLAConnectionImpl

    public interface InternalURI

extends org.acegisecurity.acl.basic.AclObjectIdentity

A URI reference to an object in our metadata

Author:
  swood

Method Summary
`java.lang.String` | `getParentPath()`
`java.lang.String` | `getParentURI()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getURI()`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Method Detail

### getURI

    java.lang.String getURI()

### getPath

    java.lang.String getPath()

### getProtocol

    java.lang.String getProtocol()

### getParentURI

    java.lang.String getParentURI()

### getParentPath

    java.lang.String getParentPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.